コンテンツにスキップ

CityGMLファイルを含んだzipファイルの非同期作成をリクエスト

POST
/citygml/pack
curl --request POST \
--url https://api.plateauview.mlit.go.jp/citygml/pack \
--header 'Content-Type: application/json' \
--data '{ "urls": [ "example" ] }'
Media type application/json
object
urls
Array<string>
Example generated
{
"urls": [
"example"
]
}

リクエストが受理され、ステータス確認のためのID(パックID)が返却

Media type application/json
object
id
string
Example generated
{
"id": "example"
}

無効なリクエストやURLエラー

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}

サーバーエラー

Media type application/json
object
error
required

エラーメッセージ

string
reason

エラーの原因

string
url

エラーが発生したURL

string
Example generated
{
"error": "example",
"reason": "example",
"url": "example"
}